这阵子有人告诉我我的SS-Libev脚本用不了,检查一下发现有几个原因,改过来就好了。

  1. 首先检查你有没有sudo命令,没有的话用apt-get install sudo安装后再执行脚本。
  2. 其次,如果你是Debian Wheezy(Debian 7)用户,添加这一行到你的/etc/apt/sources.list
    deb http://ftp.debian.org/debian wheezy-backports main

    这是因为默认的源没有dh-systemdinit-system-helpers这两个包,会导致编译失败。[ Jessie也有Backports,尚未测试在Jessie下默认的dpkg源是否有这两个包 ]

  3. 要编译Shadowsocks-Libev,内存一定要足够。因为内存不足会导致GCC被Kill。最好就是128M以上,64M没有进行过测试,如果有谁有测试过的欢迎回复。

备注

  • 假如你出现了Unable to locate package dh-systemd或者Unable to locate package init-system-helpersdh-systemd >=1.5的话请看第二步

关联文章

发表评论